# Endpoint_Selector_Factory.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Versioned_Namespace.h"`
`#include "ace/Service_Object.h"`
`#include "ace/CORBA_macros.h"`

Include dependency graph for Endpoint_Selector_Factory.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA

## Classes

class | TAO_Endpoint_Selector_Factory
| Factory for initializing <endpoint_selection_state> and obtaining appropriate <invocation_endpoint_selector>. More...

## Detailed Description

Id
  Endpoint_Selector_Factory.h,v 1.8 2005/11/02 07:13:02 ossama Exp

Strategies for selecting profile/endpoint from an IOR for making an invocation.

Author:
  Marina Spivak <marina@cs.wustl.edu>

  Frank Hunleth <fhunleth@cs.wustl.edu>